Package com.sun.speech.freetts.en.us

# Class USEnglish

java.lang.Object
com.sun.speech.freetts.en.us.USEnglish

public class USEnglish extends Object
Provides the definitions for US English whitespace, punctuations, prepunctuation, and postpunctuation symbols. It also contains a set of Regular Expressions for the US English language. With regular expressions, it specifies what are whitespace, letters in the alphabet, uppercase and lowercase letters, alphanumeric characters, identifiers, integers, doubles, digits, and 'comma and int'. It translates the following code from flite: src/regex/cst_regex.c lang/usenglish/us_text.c

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PREPUNCTUATION_SYMBOLS`
pre-punctuation regular expression pattern
`static final String`
`PUNCTUATION_SYMBOLS`
punctuation regular expression pattern
`static String`
`RX_ALPHABET`
letter regular expression pattern
`static String`
`RX_ALPHANUMERIC`
alphanumeric regular expression pattern
`static String`
`RX_COMMAINT`
comma separated integer regular expression pattern
`static final String`
`RX_DEFAULT_DIGITS2DASH`
default digits2dash (e.g. 999-999-999) regular expression
`static final String`
`RX_DEFAULT_DIGITSSLASHDIGITS`
default digits/digits (e.g. 999/999) regular expression
`static final String`
`RX_DEFAULT_DRST`
default drst "Dr.
`static final String`
`RX_DEFAULT_FOUR_DIGIT`
default 4-digit number
`static final String`
`RX_DEFAULT_HAS_VOWEL`
default has-vowel regular expression
`static final String`
`RX_DEFAULT_ILLION`
default -illion regular expression
`static final String`
`RX_DEFAULT_NUMBER_TIME`
default number time regular expression
`static final String`
`RX_DEFAULT_NUMESS`
default numess
`static final String`
`RX_DEFAULT_ROMAN_NUMBER`
default Roman numerals regular expression
`static final String`
`RX_DEFAULT_SEVEN_DIGIT_PHONE_NUMBER`
default 7-digit phone number
`static final String`
`RX_DEFAULT_THREE_DIGIT`
default 3-digit number
`static final String`
`RX_DEFAULT_US_EN_ALPHABET`
default letter regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_ALPHANUMERIC`
default alpha-numeric regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_COMMAINT`
default integer with commas regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_DIGITS`
default digits regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_DOTTED_ABBREV`
default dotted abbreviation regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_DOUBLE`
default double regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_IDENTIFIER`
default identifier regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_INT`
default integer regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_LOWERCASE`
default lowercase regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_ORDINAL_NUMBER`
default ordinal number regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_UPPERCASE`
default uppercase regular expression pattern
`static final String`
`RX_DEFAULT_US_EN_WHITESPACE`
default whitespace regular expression pattern
`static final String`
`RX_DEFAULT_US_MONEY`
default US money regular expression
`static String`
`RX_DIGITS`
digits regular expression pattern
`static final String`
`RX_DIGITS2DASH`
digits2dash (e.g. 999-999-999) regular expression
`static final String`
`RX_DIGITSSLASHDIGITS`
digits/digits (e.g. 999/999) regular expression
`static String`
`RX_DOTTED_ABBREV`
dotted abbreviation regular expression pattern
`static String`
`RX_DOUBLE`
double regular expression pattern
`static final String`
`RX_DRST`
drst "Dr.
`static final String`
`RX_FOUR_DIGIT`
4-digit number
`static final String`
`RX_HAS_VOWEL`
has-vowel regular expression
`static String`
`RX_IDENTIFIER`
identifier regular expression pattern
`static final String`
`RX_ILLION`
-illion regular expression
`static String`
`RX_INT`
integer regular expression pattern
`static String`
`RX_LOWERCASE`
lowercase regular expression pattern
`static final String`
`RX_NUMBER_TIME`
number time regular expression
`static final String`
`RX_NUMESS`
default numess
`static String`
`RX_ORDINAL_NUMBER`
ordinal number regular expression pattern
`static final String`
`RX_ROMAN_NUMBER`
Roman numerals regular expression
`static final String`
`RX_SEVEN_DIGIT_PHONE_NUMBER`
7-digit phone number
`static final String`
`RX_THREE_DIGIT`
3-digit number
`static String`
`RX_UPPERCASE`
uppercase regular expression pattern
`static final String`
`RX_US_MONEY`
US money regular expression
`static String`
`RX_WHITESPACE`
whitespace regular expression pattern
`static final String`
`SINGLE_CHAR_SYMBOLS`
single char symbols regular expression pattern
`static final String`
`WHITESPACE_SYMBOLS`
whitespace symbols regular expression pattern

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RX_DEFAULT_US_EN_WHITESPACE

public static final String RX_DEFAULT_US_EN_WHITESPACE
default whitespace regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_ALPHABET

public static final String RX_DEFAULT_US_EN_ALPHABET
default letter regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_UPPERCASE

public static final String RX_DEFAULT_US_EN_UPPERCASE
default uppercase regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_LOWERCASE

public static final String RX_DEFAULT_US_EN_LOWERCASE
default lowercase regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_ALPHANUMERIC

public static final String RX_DEFAULT_US_EN_ALPHANUMERIC
default alpha-numeric regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_IDENTIFIER

public static final String RX_DEFAULT_US_EN_IDENTIFIER
default identifier regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_INT

public static final String RX_DEFAULT_US_EN_INT
default integer regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_DOUBLE

public static final String RX_DEFAULT_US_EN_DOUBLE
default double regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_COMMAINT

public static final String RX_DEFAULT_US_EN_COMMAINT
default integer with commas regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_DIGITS

public static final String RX_DEFAULT_US_EN_DIGITS
default digits regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_DOTTED_ABBREV

public static final String RX_DEFAULT_US_EN_DOTTED_ABBREV
default dotted abbreviation regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_US_EN_ORDINAL_NUMBER

public static final String RX_DEFAULT_US_EN_ORDINAL_NUMBER
default ordinal number regular expression pattern

See Also:
  - Constant Field Values

### RX_DEFAULT_HAS_VOWEL

public static final String RX_DEFAULT_HAS_VOWEL
default has-vowel regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_US_MONEY

public static final String RX_DEFAULT_US_MONEY
default US money regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_ILLION

public static final String RX_DEFAULT_ILLION
default -illion regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_DIGITS2DASH

public static final String RX_DEFAULT_DIGITS2DASH
default digits2dash (e.g. 999-999-999) regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_DIGITSSLASHDIGITS

public static final String RX_DEFAULT_DIGITSSLASHDIGITS
default digits/digits (e.g. 999/999) regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_NUMBER_TIME

public static final String RX_DEFAULT_NUMBER_TIME
default number time regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_ROMAN_NUMBER

public static final String RX_DEFAULT_ROMAN_NUMBER
default Roman numerals regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_DRST

public static final String RX_DEFAULT_DRST
default drst "Dr. St" regular expression

See Also:
  - Constant Field Values

### RX_DEFAULT_NUMESS

public static final String RX_DEFAULT_NUMESS
default numess

See Also:
  - Constant Field Values

### RX_DEFAULT_SEVEN_DIGIT_PHONE_NUMBER

public static final String RX_DEFAULT_SEVEN_DIGIT_PHONE_NUMBER
default 7-digit phone number

See Also:
  - Constant Field Values

### RX_DEFAULT_FOUR_DIGIT

public static final String RX_DEFAULT_FOUR_DIGIT
default 4-digit number

See Also:
  - Constant Field Values

### RX_DEFAULT_THREE_DIGIT

public static final String RX_DEFAULT_THREE_DIGIT
default 3-digit number

See Also:
  - Constant Field Values

### RX_WHITESPACE

public static String RX_WHITESPACE
whitespace regular expression pattern

### RX_ALPHABET

public static String RX_ALPHABET
letter regular expression pattern

### RX_UPPERCASE

public static String RX_UPPERCASE
uppercase regular expression pattern

### RX_LOWERCASE

public static String RX_LOWERCASE
lowercase regular expression pattern

### RX_ALPHANUMERIC

public static String RX_ALPHANUMERIC
alphanumeric regular expression pattern

### RX_IDENTIFIER

public static String RX_IDENTIFIER
identifier regular expression pattern

### RX_INT

public static String RX_INT
integer regular expression pattern

### RX_DOUBLE

public static String RX_DOUBLE
double regular expression pattern

### RX_COMMAINT

public static String RX_COMMAINT
comma separated integer regular expression pattern

### RX_DIGITS

public static String RX_DIGITS
digits regular expression pattern

### RX_DOTTED_ABBREV

public static String RX_DOTTED_ABBREV
dotted abbreviation regular expression pattern

### RX_ORDINAL_NUMBER

public static String RX_ORDINAL_NUMBER
ordinal number regular expression pattern

### RX_HAS_VOWEL

public static final String RX_HAS_VOWEL
has-vowel regular expression

See Also:
  - Constant Field Values

### RX_US_MONEY

public static final String RX_US_MONEY
US money regular expression

See Also:
  - Constant Field Values

### RX_ILLION

public static final String RX_ILLION
-illion regular expression

See Also:
  - Constant Field Values

### RX_DIGITS2DASH

public static final String RX_DIGITS2DASH
digits2dash (e.g. 999-999-999) regular expression

See Also:
  - Constant Field Values

### RX_DIGITSSLASHDIGITS

public static final String RX_DIGITSSLASHDIGITS
digits/digits (e.g. 999/999) regular expression

See Also:
  - Constant Field Values

### RX_NUMBER_TIME

public static final String RX_NUMBER_TIME
number time regular expression

See Also:
  - Constant Field Values

### RX_ROMAN_NUMBER

public static final String RX_ROMAN_NUMBER
Roman numerals regular expression

See Also:
  - Constant Field Values

### RX_DRST

public static final String RX_DRST
drst "Dr. St" regular expression

See Also:
  - Constant Field Values

### RX_NUMESS

public static final String RX_NUMESS
default numess

See Also:
  - Constant Field Values

### RX_SEVEN_DIGIT_PHONE_NUMBER

public static final String RX_SEVEN_DIGIT_PHONE_NUMBER
7-digit phone number

See Also:
  - Constant Field Values

### RX_FOUR_DIGIT

public static final String RX_FOUR_DIGIT
4-digit number

See Also:
  - Constant Field Values

### RX_THREE_DIGIT

public static final String RX_THREE_DIGIT
3-digit number

See Also:
  - Constant Field Values

### PUNCTUATION_SYMBOLS

public static final String PUNCTUATION_SYMBOLS
punctuation regular expression pattern

See Also:
  - Constant Field Values

### PREPUNCTUATION_SYMBOLS

public static final String PREPUNCTUATION_SYMBOLS
pre-punctuation regular expression pattern

See Also:
  - Constant Field Values

### SINGLE_CHAR_SYMBOLS

public static final String SINGLE_CHAR_SYMBOLS
single char symbols regular expression pattern

See Also:
  - Constant Field Values

### WHITESPACE_SYMBOLS

public static final String WHITESPACE_SYMBOLS
whitespace symbols regular expression pattern

See Also:
  - Constant Field Values